Subject: [cuss] New REQ: Size of UUI

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Sat, 2 Oct 2010 00:05:40 +0200

I think we need a requirement on size of UUI, although I am not yet sure exactly what we will say.

>From the perspective of interworking with the ISDN, it needs to say at least:

	REQ-X:	The solution MUST provide a mechanism of transporting at least 128 octets of user data and a one octet protocol discriminator, i.e. 129 octets in total.

It needs to say this as I think we need to provide a mechanism that does at least as well as the ISDN. 

On the other hand, I would be perfectly happy if we set the limit at exactly 129 octets, as I have no use cases to exceed that.

The other criteria we need to think in regard to UUI size, is about what happens in responses, where the request was sent UDP. Currently in RFC 3261 we assume a response will be no more than 200 octets larger that a request, so that we do not break the transport mechanism. An unlimited size of UUI in the response can easily exceed this.

regards

Keith